package ve.gob.cenditel.tibisaymovil; 

import android.app.Activity;

/**
 * Possible activities result codes.
 *
 * @see {@link Activity#startActivityForResult(android.content.Intent, int)}, {@link Activity#setResult(int)} and
 *      {@link Activity#setResult(int, android.content.Intent)}
 *
 * @author José M. Prieto (jmprieto@emergya.com)
 */
public class ActivityResult {

    /**
     * Return the alias of a private key to be used to sign files (String).
     */
    public static final int PRIVATE_KEY_ALIAS = 1;

    /**
     * Return the Uri of a PKCS12 file to import.
     */
    public static final int IMPORT_CERTIFICATE = 2;

    /**
     * Check the validity of a certificate.
     */
    public static final int CHECK_CERTIFICATE_VALIDITY = 3;

    /**
     * Return a confirmed list of files to sign.
     */
	public static final int FILES_CONFIRMATED = 4;

    /**
     * In case user wants to sign again from history tab.
     */
	public static final int HISTORY_SIGNBACK = 5;
}
